/***************************************************************************
                          doubleconfigentry.h  -  description
                             -------------------
    begin                : Die Sep 2 2003
    copyright            : (C) 2003 by Thomas Dreibholz
    email                : dreibh@exp-math.uni-essen.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DOUBLECONFIGENTRY_H
#define DOUBLECONFIGENTRY_H

#include <configentry.h>

/**
  *@author Thomas Dreibholz
  */

class DoubleConfigEntry : public ConfigEntry  {
public: 
	DoubleConfigEntry(double* valuePtr, const char* name);
	~DoubleConfigEntry();

    virtual QString getValueAsString();
    virtual void setValueFromString(QString);
    virtual QString getName();
private:
    double* EntryValue;
    QString EntryName;
};

#endif
