/***************************************************************************
                          SimpleHSV.cpp  -  description
                             -------------------
    begin                : Son Mai 11 2003
    copyright            : (C) 2003 by Thomas Dreibholz
    email                : dreibh@exp-math.uni-essen.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "simplehsv.h"

#include <qcolor.h>


SimpleHSV* SimpleHSV::Registration = new SimpleHSV();


SimpleHSV::SimpleHSV()
{
}

SimpleHSV::~SimpleHSV()
{
}

const char* SimpleHSV::getName()
{
   return("Simple HSV");
}

const char* SimpleHSV::getSaveIdentifier()
{
	return "SimpleHSV";
}

unsigned int SimpleHSV::getColor(const unsigned int value)
{
   const QColor color((value % 72) * 5, 255, 255, QColor::Hsv);
   return(color.rgb());
}
