/***************************************************************************
                          uintconfigentry.cpp  -  description
                             -------------------
    begin                : Fre Aug 29 2003
    copyright            : (C) 2003 by Thomas Dreibholz
    email                : dreibh@exp-math.uni-essen.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "uintconfigentry.h"

UIntConfigEntry::UIntConfigEntry(unsigned int* valuePtr, const char* name) : EntryValue(valuePtr),  EntryName(name)
{
}


UIntConfigEntry::~UIntConfigEntry()
{
}


QString UIntConfigEntry::getValueAsString()
{
    QString Temp;
    Temp.setNum(*EntryValue);
    return Temp;
}


void UIntConfigEntry::setValueFromString(QString Value)
{
    *EntryValue = Value.toUInt();
}


QString UIntConfigEntry::getName()
{
    return EntryName;
}

